"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _postcss = _interopRequireDefault(require("postcss"));

var _componentStylesheets = require("component-stylesheets");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const pluginName = 'postcss-css-components';

var _default = _postcss.default.plugin(pluginName, () => function process(css, result) {
  const components = (0, _componentStylesheets.processRoot)(css); // Replace tokens in export

  Object.keys(components).forEach(componentName => {
    result.messages.push({
      pluginName,
      type: 'component',
      item: {
        name: componentName,
        value: components[componentName]('createElement')
      }
    });
  });
});

exports.default = _default;